Skip to main content
POST
Purchase a regular subscription with a single product or a subscription purchased with IAP receipt

Authorizations

Authorization
string
header
required

OAuth 2.0 Authentication

Headers

X-IDEMPOTENCY-KEY
string

Query Parameters

dryrun
boolean
default:false

Simulates the subscription purchase to generate the initial transaction amounts without sending it for processing.

Body

application/json
productId
string
required

A unique identifier.

Maximum string length: 256
accountId
string

If provided - for subscription purchased with IAP receipt

Maximum string length: 256
paymentMethodId
string

A unique identifier.

Maximum string length: 256
billingOption
object
metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information.

policy
object

Response

OK

subscription
object
transaction
object
nextTransaction
object